System.Web 2.0.0.0 System.Web.UI.StateManagedCollection System.ComponentModel.Editor("System.Web.UI.Design.WebControls.HotSpotCollectionEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

The class represents a collection that enables an control to maintain a list of the objects it contains.

Use the method to add a specified object to the collection at the end of an ordinal index array. Use the method to add a object to the collection at a specified index location. Use the indexer to directly access a object in the collection at a specified index, using simple array notation.

Use the method to remove a object from the end of the collection. Use the method to remove a object from a specified index location.

Represents a collection of objects inside an control. This class cannot be inherited.

- Constructor

  When overridden in a derived class, this constructor initializes a new instance of the class.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Int32 ``

  The method adds the specified object to the end of the collection. To add a object to the collection at a specific index location, use the method.

  Appends a specified object to the end of the collection.

  The index at which the object was added to the collection.

  The object to append to the collection. 2.0.0.0
- Method
  System.Object `` To be added.

  The method creates an instance of a object according to the index of the type returned by the method. The index values correspond to the types shown in the following table.

  Index

  Parameter Type

  0

  1

  2

  For example, if you specify 0 for the parameter, the method returns a object. If you specify 1 for the parameter, the method returns a object.

  The method returns an object containing the known types of controls derived from the class.

  This method is used only by control developers.

  Creates a default instance of a type derived from the class.

  An object of a specified type derived from the class.

  2.0.0.0
- Method
  System.Type[]

  The method returns an array of object-derived types that the collection can contain. The array contains the object, the object, and the object.

  Use the method to return an instance of one of the types contained in the array. If you specify 0 for the method's parameter, the method returns a object. If you specify 1 for the parameter, the method returns a object. If you specify 2 for the parameter, the method returns a object.

  This method is used only by control developers.

  Creates an array of the object-derived types that a collection can contain.

  An array of object-derived types that a collection can contain.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  The method adds the specified object to the collection at the specified index location. To append a object to the end of the collection, use the method.

  Inserts a specified object into the collection at the specified index location.

  The object to add to the collection. 2.0.0.0
- Property
  System.Web.UI.WebControls.HotSpot `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  This method checks the specified to determine whether it is a valid type derived from the class. Only an object of type , , or is considered a valid type.

  This method is used only by control developers.

  Checks the specified object to determine whether it is a valid type derived from the class.

  The object to validate. 2.0.0.0
- Method
  System.Void ``

  The method removes the specified object from the collection. To remove a object from the collection at a specified index location, use the method.

  To add new objects to the collection, use the or the method.

  Removes the specified object from the collection.

  The object to remove from the collection. 2.0.0.0
- Method
  System.Void `` To be added.

  The method removes the object at the specified index location from the collection. To remove a specific object from the collection by name, use the method.

  To add new objects to the collection, use the or the method.

  Removes the object at the specified index location from the collection.

  2.0.0.0
- Method
  System.Void ``

  This method marks the specified object as changed since it was last loaded or saved from view state. This allows the object to save its entire view state.

  This method is used only by control developers.

  Marks the specified object as changed since it was last loaded or saves from view state.

  The object to mark as changed since it was last loaded or saved from view state. 2.0.0.0